%global gitrev f1b6e99

Name:          jchart2d
Version:       3.3.2
Release:       2.%{gitrev}%{?dist}
Summary:       Real-time charting library for Java
License:       LGPLv2+
URL:           http://jchart2d.sourceforge.net/
# checkout instructions
# git clone https://git.code.sf.net/p/jchart2d/code jchart2d
# cd jchart2d
# git rev-parse --short HEAD
# git archive --format=tar --prefix=jchart2d/ f1b6e99  -o ../jchart2d-3.3.2-f1b6e99.tar
# bzip2 ../jchart2d-3.3.2-f1b6e99.tar
Source0:       %{name}-%{version}-%{gitrev}.tar.bz2

BuildRequires: maven-local
BuildRequires: mvn(com.jidesoft:jide-oss)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
JChart2D is a minimalist real-time charting library. It is designed for 
displaying multiple traces consisting of trace-points. JChart2D is centered 
around a single configurable Swing widget: the Chart2D. It is a JComponent 
which can be added to a Java Swing user interface.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c

# Cleanup
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete

# fixes E: script-without-shebang
chmod a-x jchart2d/lgpl.txt

# Useless tasks
%pom_remove_plugin :maven-gpg-plugin %{name}
%pom_remove_plugin :maven-javadoc-plugin %{name}
%pom_remove_plugin :maven-source-plugin %{name}
# use standard maven work dirs
%pom_xpath_remove "pom:build/pom:directory" %{name}/pom.xml
%pom_xpath_remove "pom:build/pom:outputDirectory" %{name}/pom.xml
%pom_xpath_remove "pom:build/pom:finalName" %{name}/pom.xml

%mvn_file net.sf.%{name}:%{name}:%{version} %{name}
%mvn_alias net.sf.%{name}:%{name} %{name}:%{name}

%build
# first -f skip test suite
# sec.  -f force usage of pom.xml
# skipped test suite due 'xvfb-run -a' fails
%mvn_build -f -- -f %{name}/pom.xml -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc %{name}/readme-binaries.txt
%license %{name}/lgpl.txt

%files javadoc -f .mfiles-javadoc
%license %{name}/lgpl.txt

%changelog
* Sun Feb 19 2017 Martin Gansser <martinkg@fedoraproject.org> - 3.3.2-2.f1b6e99
- improve the comment about test suite

* Sun Feb 19 2017 Martin Gansser <martinkg@fedoraproject.org> - 3.3.2-1.f1b6e99
- initial rpm
